curl --request GET \
--url https://api.hubapi.com/automation/v4/flows \
--header 'Authorization: Bearer <token>'{
"results": [
{
"createdAt": "2023-11-07T05:31:56Z",
"flowType": "ACTION_SET",
"id": "<string>",
"isEnabled": true,
"objectTypeId": "<string>",
"revisionId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"uuid": "<string>"
}
],
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
}
}
}Retrieve a list of automation flows with optional pagination using the ‘after’ and ‘limit’ query parameters.
curl --request GET \
--url https://api.hubapi.com/automation/v4/flows \
--header 'Authorization: Bearer <token>'{
"results": [
{
"createdAt": "2023-11-07T05:31:56Z",
"flowType": "ACTION_SET",
"id": "<string>",
"isEnabled": true,
"objectTypeId": "<string>",
"revisionId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"uuid": "<string>"
}
],
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
}
}
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
A paging cursor token for retrieving subsequent pages.
The maximum number of results to return, with a default value of 100.
Was this page helpful?